List buildings
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
GET
/v1/buildingsAuthorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Query parameters
limitintegermin 1 · max 500 · default: 100
offsetintegermin 0 · max 9007199254740991 · default: 0
contactIdstringupdatedSincestring<date-time>Responses
200OK
dataobject[]requiredShow propertiesHide properties
Array of
objectidstringrequiredcontactIdstringrequirednamestringrequiredstreetstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycountryCodestringrequiredbuildingTypestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anybuildingYearinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anylivingAreanumber | anyrequiredShow propertiesHide properties
Any of:
number
numberany
anynotesstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredhasMorebooleanrequiredRequest
curl -X GET "https://app.bauhow.com/api/v1/buildings" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://app.bauhow.com/api/v1/buildings", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://app.bauhow.com/api/v1/buildings",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"data": [
{
"id": "string",
"contactId": "string",
"name": "string",
"street": "string",
"postalCode": "string",
"city": "string",
"countryCode": "string",
"buildingType": "string",
"buildingYear": 0,
"livingArea": 0,
"notes": "string",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
],
"hasMore": true
}